Bug 14355 - srvsvc_NetFileEnum asserts with open files
Summary: srvsvc_NetFileEnum asserts with open files
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes (show other bugs)
Version: 4.12.1
Hardware: All All
: P5 normal with 1 vote (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-23 07:13 UTC by Volker Lendecke
Modified: 2020-08-11 07:18 UTC (History)
3 users (show)

See Also:


Attachments
Patch (10.34 KB, patch)
2020-04-23 07:20 UTC, Volker Lendecke
no flags Details
Patch (18.21 KB, patch)
2020-05-18 08:46 UTC, Volker Lendecke
metze: review+
vl: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2020-04-23 07:13:34 UTC
There's a dbwrap lock order violation
Comment 1 Volker Lendecke 2020-04-23 07:20:10 UTC
Created attachment 15937 [details]
Patch

No time for a test, thus not proposing for master. Survived a pipeline in master: https://gitlab.com/samba-team/devel/samba/pipelines/138415771
Comment 3 Karolin Seeger 2020-05-22 11:58:35 UTC
Hi Volker,

is there a chance to add a test later?
Comment 4 Volker Lendecke 2020-05-22 12:23:09 UTC
(In reply to Karolin Seeger from comment #3)
> is there a chance to add a test later?

If I'm not completely mistaken, this now does have a test. I had to do one to get it into master, and I did backport it as part of the attachment.
Comment 5 Volker Lendecke 2020-05-22 12:24:29 UTC
https://bugzilla.samba.org/attachment.cgi?id=15937 was the patch without the test. https://bugzilla.samba.org/attachment.cgi?id=15988 obsoleted that with a test.
Comment 6 Karolin Seeger 2020-08-06 11:41:25 UTC
(In reply to Volker Lendecke from comment #5)
Ok, thanks, Volker!
Pushed to autobuild-v4-12-test.
Comment 7 Karolin Seeger 2020-08-11 07:18:00 UTC
Pushed to all branches.
Closing out bug report.

Thanks!